{*
* 2007-2019 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{extends file='checkout/_partials/steps/checkout-step.tpl'}
{block name='step_content'}
    <div class="custom-checkout-step">
        <h2>{l s='Customer Signature' mod='ocsignaturefieldforcheckout'}</h2>
        <form
                method="POST"
                action="{$urls.pages.order|escape:'htmlall':'UTF-8'}"
                data-refresh-url="{url entity='order' params=['ajax' => 1, 'action' => 'customStep']}"
        >
            <section class="form-fields">
                <div class="form-group row">
                    <label class="col-md-3 form-control-label required"></label>
                    <div class="col-md-6">
                        <canvas id="ocsign_field" name="signaturefield" width="{$OCSIGN_PADWIDTH|escape:'htmlall':'UTF-8'}" height="{$OCSIGN_PADHEIGHT|escape:'htmlall':'UTF-8'}" required></canvas>
                        <input class="ocsignclear" type="button" value="+">   
                        <input type="hidden" class="ps-shown-by-js" name="ocsignimgdata" {if isset($ocsignimgdata)}value="{$ocsignimgdata|escape:'htmlall':'UTF-8'}"{/if} required>
                    </div>
                </div>
            </section>
            <footer class="form-footer clearfix">
                <input type="submit" name="submitCustomCheckoutStep" value="Continue"
                       class="btn btn-primary continue float-xs-right"/>
            </footer>
        </form>
    </div>
{/block}